﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

// Verweise für ADO.NET Entity Framework
using System.Data.Entity;
using System.Data.Entity.Infrastructure;

namespace Datenzugriff_EntityFramework
{
    public partial class Form1 : Form
    {
        private MediaBaseEntities mediaBaseContext;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            mediaBaseContext = new MediaBaseEntities();

            DbQuery<CD> cdQuery = mediaBaseContext.CD.Include("CD_Track");
            cdQuery.Load();

            cboCD.DataSource = cdQuery.ToArray();
            cboCD.DisplayMember = "Titel";
            cboCD.ValueMember = "ID";
        }

        private void cboCD_SelectedIndexChanged(object sender, EventArgs e)
        {
            CD cd = (CD)this.cboCD.SelectedItem;
            grdCDTrack.DataSource = cd.CD_Track.ToList();
        }
    }
}
