﻿-- =============================================
-- Author:		Robert Panther
-- Create date: 29.06.2018
-- Description:	ermittelt alle Tracks zu einer CD
-- =============================================
CREATE FUNCTION dbo.UFN_TracksFromCD2
(	
	-- Add the parameters for the function here
	@idCD int
)
RETURNS @Ergebnis TABLE 
	(ID int, idCD int, CDNr tinyint, Titel varchar(80),
	Interpret varchar(80), Dauer time(7), Bewertung tinyint)
AS
BEGIN
	INSERT INTO @Ergebnis (ID, idCD, CDNr, Titel, Interpret, Dauer, Bewertung)
	SELECT ID, idCD, CDNr, Titel, Interpret, Dauer, Bewertung 
	FROM dbo.CD_Track 
	WHERE idCD=@idCD
	
	RETURN
END
