﻿CREATE TABLE [dbo].[CD_Track] (
    [ID]        INT          IDENTITY (1, 1) NOT NULL,
    [idCD]      INT          NOT NULL,
    [CDNr]      TINYINT      CONSTRAINT [DF_CD_Track_CDNr] DEFAULT ((1)) NULL,
    [TrackNr]   TINYINT      NULL,
    [Titel]     VARCHAR (80) NULL,
    [Interpret] VARCHAR (80) NULL,
    [Dauer]     TIME (7)     NULL,
    [Bewertung] TINYINT      NULL,
    CONSTRAINT [PK_CD_Track] PRIMARY KEY CLUSTERED ([ID] ASC),
    CONSTRAINT [FK_CD_Track_CD] FOREIGN KEY ([idCD]) REFERENCES [dbo].[CD] ([ID])
);


GO
CREATE NONCLUSTERED INDEX [IX_Titel]
    ON [dbo].[CD_Track]([Titel] ASC);


GO
CREATE NONCLUSTERED INDEX [IX_Interpret]
    ON [dbo].[CD_Track]([Interpret] ASC);


GO
CREATE NONCLUSTERED INDEX [IX_idCD]
    ON [dbo].[CD_Track]([idCD] ASC);

