-- Kapitel 9 (bungen) --

USE MediaBase
GO

-- bung 9.1
SELECT *
INTO #CD1Tracks
FROM dbo.CD_Track
WHERE idCD=1

SELECT *
FROM #CD1Tracks
ORDER BY TrackNr

SELECT *
FROM #CD1Tracks
ORDER BY Titel

-- bung 9.2

DECLARE @Jahr int=1980

WHILE (@Jahr<2010)
	BEGIN
		IF (SELECT COUNT(*) FROM dbo.CD WHERE Erscheinungsjahr=@Jahr)>0
			SELECT Erscheinungsjahr, Titel, Interpret FROM dbo.CD WHERE Erscheinungsjahr=@Jahr
		ELSE
			SELECT @Jahr, 'keine CD aus diesem Jahr gespeichert'
		SET @Jahr = @Jahr+1
	END

-- bung 9.3
-- (debuggen des Skripts aus bung 9.2)

-- bung 9.4

DECLARE @GuteDVDs int
DECLARE @DVDsGesamt int

SELECT @GuteDVDs = COUNT(*) FROM dbo.DVD WHERE Bewertung<=2
SELECT @DVDsGesamt = COUNT(*) FROM dbo.DVD

BEGIN TRY
	PRINT 'Gute DVDs (in Prozent):'
	PRINT @GuteDVDs * 100 / @DVDsGesamt
END TRY
BEGIN CATCH
	PRINT 'Keine Daten zum Auswerten vorhanden!'
END CATCH

-- Alternative ohne TRY...CATCH
DECLARE @GuteDVDs int
DECLARE @DVDsGesamt int

SELECT @GuteDVDs = COUNT(*) FROM dbo.DVD WHERE Bewertung<=2
SELECT @DVDsGesamt = COUNT(*) FROM dbo.DVD

IF @DVDsGesamt=0
	PRINT 'Keine Daten zum Auswerten vorhanden!'
ELSE
	PRINT @GuteDVDs * 100 / @DVDsGesamt

-- bung 9.5

Beide Transaktionen laufen komplett durch. Allerdings wird die zweite Transaktion erst gestartet, wenn die erste komplett durchgelaufen ist.
Da anfangs beide Prozesse versuchen, dieselbe Tabelle (dbo.Buch) zu sperren wartet die langsamere Transaktion, bis diese wieder freigegeben ist.
Durch die einheitliche Reihenfolge des Tabellenzugriffs wurde somit ein Deadlock vermieden.
(Lediglich dann, wenn die erste Transaktion zu lange luft, kann es zu einem Timeout und damit Abbruch der zweiten Transaktion kommen.)
