-- Kapitel 12 (bungen) --

USE MediaBase
GO

-- bung 12.1

USE [master]
GO
CREATE LOGIN [DBBackupGuy] WITH PASSWORD=N'dbbg' MUST_CHANGE, DEFAULT_DATABASE=[master], CHECK_EXPIRATION=ON, CHECK_POLICY=ON
GO
ALTER SERVER ROLE [diskadmin] ADD MEMBER [DBBackupGuy]
GO

-- bung 12.2

USE [MediaBase]
GO
CREATE USER [DBBackupGuy] FOR LOGIN [DBBackupGuy]
GO
ALTER ROLE [db_backupoperator] ADD MEMBER [DBBackupGuy]
GO

USE [MediaBaseContained]
GO
CREATE USER [DBBackupGuy] FOR LOGIN [DBBackupGuy]
GO
ALTER ROLE [db_backupoperator] ADD MEMBER [DBBackupGuy]
GO

-- bung 12.3

USE master
GO
CREATE LOGIN MediaBaseBooksOnly WITH PASSWORD=N'mbbo', DEFAULT_DATABASE=MediaBase, CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO

USE MediaBase
GO
CREATE USER MediaBaseBooksOnly FOR LOGIN MediaBaseBooksOnly
GO

USE MediaBase
GO
GRANT UPDATE ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT ALTER ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT VIEW CHANGE TRACKING ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT SELECT ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT TAKE OWNERSHIP ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT VIEW DEFINITION ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT INSERT ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT DELETE ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT CONTROL ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GRANT REFERENCES ON dbo.Buch TO MediaBaseBooksOnly WITH GRANT OPTION 
GO
