-- Kapitel 19 (bungen) --

USE MediaBase
GO

-- bung 19.1

-- R-Skript
DECLARE @rscript NVARCHAR(MAX);
SET @rscript = N'df <- InputDataSet;
	df["gelesen"] = "nein";
	df["gelesen"][df["Id"] == 6] = "ja"
	OutputDataSet <- df;'
 
-- SQL-Abfrage
DECLARE @sqlscript NVARCHAR(MAX);
SET @sqlscript = N'SELECT Id, Titel, Autor FROM dbo.Buch;';

EXEC sp_execute_external_script
	@language = N'R',
	@script = @rscript,
	@input_data_1 = @sqlscript
WITH RESULT SETS ((Id INT NOT NULL, Titel VARCHAR(80) NULL, Autor VARCHAR(80), Gelesen VARCHAR(80)));
GO

-- bung 19.2 - Python

CREATE PROCEDURE dbo.USP_TracksProCD_Python (@PJazzBand VARCHAR(80))
AS
BEGIN

	DECLARE @pscript NVARCHAR(MAX);
	SET @pscript = N'
df = InputDataSet

# Daten nach Interpret und Titel gruppieren
df = df.groupby(["Interpret", "Titel"], as_index=False).count()

# neue Spalte hinzufgen
df["Kategorie"] = "Pop/Rock"
df["Kategorie"][df["Interpret"] == JazzBand] = "Jazz"

OutputDataSet = df';

	-- SQL-Abfrage
	DECLARE @sqlscript NVARCHAR(MAX);
	SET @sqlscript = N'
	SELECT cd.Interpret, cd.Titel, cdt.Titel AS TrackTitel
	FROM dbo.CD AS cd
		LEFT JOIN dbo.CD_Track AS cdt ON cd.Id=cdt.idCD;';
 
	EXEC sp_execute_external_script
		@language = N'Python',
		@script = @pscript,
		@input_data_1 = @sqlscript,
		@params = N'@JazzBand VARCHAR(80)',
		@JazzBand = @PJazzBand
	WITH RESULT SETS ((Interpret VARCHAR(80) NULL, Titel VARCHAR(80) NULL, TrackAnzahl INT, Kategorie VARCHAR(80)));

END
GO

EXEC dbo.USP_TracksProCD_Python @PJazzBand = 'Dave Brubeck'
EXEC dbo.USP_TracksProCD_Python @PJazzBand = 'Erwin Mustermann'
GO
