﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

// Verweise für LINQ to SQL
using System.Data.Linq;
using System.Data.Linq.Mapping;

namespace Datenzugriff_LINQtoSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnLINQtoSQL_Click(object sender, EventArgs e)
        {
            // Datenkontext über Connection-String aufbauen
            DataContext db = new DataContext("Database=MediaBase;" +
                    "Server=.\\SQL2017;Integrated Security=SSPI");

            // typisierte Tabelle erstellen
            Table<Buch> Buecher = db.GetTable<Buch>();

            db.Log = Console.Out;

            // eigentliche LINQ-Abfrage
            IQueryable<Buch> buchQuery =
                from buch in Buecher
                where buch.Autor == "Robert Panther"
                select buch;

            foreach (Buch buch in buchQuery)
            {
                txtErgebnis.Text = txtErgebnis.Text + (buch.ID).ToString() + "/" + buch.Titel + "\r\n";
            }
        }
    }
}
