﻿CREATE TABLE [dbo].[CD] (
    [ID]               INT          IDENTITY (1, 1) NOT NULL,
    [Titel]            VARCHAR (80) NULL,
    [Interpret]        VARCHAR (80) NULL,
    [AnzahlCDs]        TINYINT      CONSTRAINT [DF_CD_AnzahlCDs] DEFAULT ((1)) NULL,
    [Erscheinungsjahr] INT          NULL,
    [Bewertung]        TINYINT      NULL,
    [Kategorie]        VARCHAR (80) NULL,
    [MediaId]          INT          DEFAULT (NEXT VALUE FOR [dbo].[MediaId]) NULL,
    CONSTRAINT [PK_CD] PRIMARY KEY CLUSTERED ([ID] ASC)
);


GO
CREATE NONCLUSTERED INDEX [IX_Titel]
    ON [dbo].[CD]([Titel] ASC);


GO
CREATE NONCLUSTERED INDEX [IX_Interpret]
    ON [dbo].[CD]([Interpret] ASC);

