-- Kapitel 5 --

USE MediaBase
GO

SELECT CD.*, CD_Track.CDNr, CD_Track.TrackNr, 
	CD_Track.Titel AS TrackTitel, 
	CD_Track.Interpret AS TrackInterpret
FROM CD 
	INNER JOIN CD_Track ON CD.ID = CD_Track.idCD
WHERE (CD_Track.CDNr = 1)
ORDER BY TrackTitel

CREATE VIEW [dbo].[VW_AktuelleCDs]
AS
SELECT TOP (100) PERCENT dbo.CD.*
FROM dbo.CD
WHERE (Erscheinungsjahr > 2000)
ORDER BY Titel

GO

CREATE VIEW [dbo].[VW_AktuelleCDs]
AS
SELECT TOP (100) PERCENT dbo.CD.ID, dbo.CD.Titel, dbo.CD.Interpret, dbo.CD.AnzahlCDs, dbo.CD.Erscheinungsjahr, dbo.CD.Bewertung, dbo.CD.Kategorie, 
	dbo.CD_Track.CDNr, dbo.CD_Track.TrackNr, dbo.CD_Track.Titel AS TrackTitel, dbo.CD_Track.Interpret AS TrackInterpret, dbo.CD_Track.Dauer, 
	dbo.CD_Track.Bewertung AS TrackBewertung
FROM dbo.CD 
	INNER JOIN dbo.CD_Track ON dbo.CD.ID = dbo.CD_Track.idCD
WHERE (dbo.CD.Erscheinungsjahr > 2000)
ORDER BY dbo.CD.Titel

GO
