-- Kapitel 7 (bungen) --

USE MediaBase
GO

-- bung 7.1

SELECT Titel, 
	CASE 
		WHEN Titel IN (SELECT Titel FROM dbo.DVD) THEN 'ja' 
		ELSE 'nein' 
	END AS FilmVorhanden
FROM dbo.Buch

-- bung 7.2

UPDATE dbo.Buch
SET Buch.Kategorie=DVD.Kategorie
FROM dbo.Buch INNER JOIN dbo.DVD on Buch.Titel=DVD.Titel
WHERE Buch.Kategorie IS NULL

-- bung 7.3

MERGE INTO dbo.DVD
USING DVDImport 
	ON DVD.Titel=DVDImport.Titel 
		AND DVD.Erscheinungsjahr=DVDImport.Erscheinungsjahr
WHEN MATCHED
	THEN UPDATE SET DVD.Schauspieler = DVDImport.Schauspieler,
		DVD.Produzent = DVDImportProduzent,
		DVD.Kategorie = DVDImport.Kategorie
WHEN NOT MATCHED
	THEN INSERT (Titel, Schauspieler, Produzent, Kategorie) 
	VALUES (DVDImport.Titel, DVDImport.Schauspieler, DVDImport.Produzent, 
		DVDImport.Kategorie);

-- bung 7.4

SELECT *
FROM dbo.CD_Track
ORDER BY Titel
	OFFSET 5 ROWS
	FETCH NEXT 5 ROWS ONLY

-- bung 7.5

CREATE SEQUENCE [dbo].[Wochentage] AS TINYINT
	START WITH 1 
	INCREMENT BY 1
	MINVALUE 1 
	MAXVALUE 7
	CYCLE 

-- bung 7.7

SELECT * FROM dbo.BuchTemp WHERE DATEDIFF(DAY, SystemTimeStart, getdate())>=1
UNION
SELECT * FROM dbo.BuchTemp_Hist WHERE DATEDIFF(DAY, SystemTimeStart, SystemTimeEnd)>=1
