-- Kapitel 8 (bungen) --

USE MediaBase
GO

-- bung 8.1

SELECT ID, Titel, Schauspieler, Regie, Erscheinungsjahr, Kategorie
FROM dbo.DVD
FOR XML PATH, ROOT('DVDList')

-- bung 8.2

SELECT DISTINCT Autor, 
	(SELECT Titel, Erscheinungsjahr
	FROM dbo.Buch b2
	WHERE b1.Autor=b2.Autor
	ORDER BY Erscheinungsjahr DESC
	FOR JSON AUTO) AS Bibliographie
INTO dbo.AutorBibliographie
FROM dbo.Buch b1

SELECT *
FROM dbo.AutorBibliographie

-- bung 8.3

SELECT Autor, 
	JSON_VALUE(Bibliographie, '$[0].Titel') AS Buch1
FROM dbo.AutorBibliographie

-- bung 8.4

;WITH CTE AS
(
	SELECT DISTINCT Autor, 
		(SELECT Titel, Erscheinungsjahr
		FROM dbo.Buch b2
		WHERE b1.Autor=b2.Autor
		FOR XML AUTO, ROOT('Bibliographie')) AS Bibliographie
	FROM dbo.Buch b1
)
SELECT Autor, CONVERT(XML, Bibliographie) FROM CTE
