-- Kapitel 11 (bungen) --

USE MediaBase
GO

-- bung 11.1

CREATE TABLE dbo.DDLAenderungsLog
(
	ID int IDENTITY(1,1) NOT NULL,
	Benutzer varchar(128) NOT NULL,
	Zeitpunkt datetime NOT NULL,
	Aenderung xml NULL,
	CONSTRAINT PK_DDLAenderungsLog PRIMARY KEY CLUSTERED (ID ASC)
)
GO

ALTER TABLE dbo.DDLAenderungsLog ADD CONSTRAINT DF_DDLAenderungsLog_Benutzer DEFAULT (suser_sname()) FOR Benutzer
GO

ALTER TABLE dbo.DDLAenderungsLog ADD CONSTRAINT DF_DDLAenderungsLog_Zeitpunkt DEFAULT (getdate()) FOR Zeitpunkt
GO

-- bung 11.2

ALTER INDEX ALL ON dbo.Buch REBUILD
ALTER INDEX ALL ON dbo.CD REBUILD
ALTER INDEX ALL ON dbo.CD_Track REBUILD
ALTER INDEX ALL ON dbo.DVD REBUILD

-- bung 11.3

CREATE TRIGGER TRG_MediaBase_Views ON DATABASE
FOR CREATE_VIEW, ALTER_VIEW, DROP_VIEW
AS
BEGIN
	INSERT INTO MediaBase.dbo.DDLAenderungsLog (Aenderung) VALUES (EVENTDATA())
END
GO
