-- Kapitel 18 (bungen) --

USE MediaBase
GO

-- bung 18.1

CREATE TABLE Graph.Buch
(
	ID int IDENTITY(1,1) NOT NULL,
	ISBN10 char(10) NULL,
	ISBN13 char(14) NULL,
	Titel varchar(80) NULL,
	Verlag varchar(80) NULL,
	PRIMARY KEY CLUSTERED (ID ASC)
)
AS NODE ON [PRIMARY]

-- bung 18.2

INSERT INTO Graph.Buch (ISBN10, ISBN13, Titel, Verlag)
SELECT ISBN10, ISBN13, Titel, Verlag 
FROM dbo.Buch

-- bung 18.3

INSERT INTO Graph.IstBeteiligtAn($from_id, $to_id, Funktion) 
VALUES (
	(SELECT $node_id FROM Graph.Buch WHERE Titel = 'Datenbankentwicklung lernen mit SQL Server 2016'),
	(SELECT $node_id FROM Graph.Person WHERE Nachname = 'Panther'), 
	'Autor'
);

-- bung 18.4

SELECT p.*, b.*
FROM Graph.Person p, Graph.IstBeteiligtAn iba, Graph.Buch b
WHERE MATCH(p<-(iba)-b)
